package com.pj.tb_wallet_record;

import java.util.List;

import com.pj.tb_order.TbOrder;
import com.pj.tb_wallet_record.vo.WalletRecordAppVo;
import com.pj.tb_wallet_record.vo.WalletRecordVo;
import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_wallet_record -- 服务点交易记录
 * @author plj 
 */

@Mapper
@Repository
public interface TbWalletRecordMapper extends BaseMapper <TbWalletRecord> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbWalletRecord> getList(SoMap so);


	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<WalletRecordAppVo> getAppList(SoMap so);
}
