package com.pj.tb_wallet_record.vo;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Data;
import lombok.experimental.Accessors;

@JacksonXmlRootElement(localName = "xml")
@Data
@Accessors(chain = true)
public class NotifyBO {


    // 返回状态码
    @JacksonXmlProperty(localName = "return_code")
    private String returnCode;

    // 返回信息
    @JacksonXmlProperty(localName = "return_msg")
    private String returnMsg;

    // 业务结果
    @JacksonXmlProperty(localName = "result_code")
    private String resultCode;

    // 商户订单号
    @JacksonXmlProperty(localName = "out_trade_no")
    private String outTradeNo;

    // 支付完成时间
    @JacksonXmlProperty(localName = "time_end")
    private String timeEnd;

    // 微信支付订单号
    @JacksonXmlProperty(localName = "transaction_id")
    private String transactionId;

    // 订单金额
    @JacksonXmlProperty(localName = "total_fee")
    private String totalFee;
    @JacksonXmlProperty(localName = "attach")
    private String attach;

    @JacksonXmlProperty(localName = "result_code")
    private String tradeStatus;

}
