package com.pj.tb_wallet_record.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.models.auth.In;
import lombok.Data;

@Data
public class WalletRecordAppVo {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 标签类型(0=全部,1=充值,2=提现,3=扣除)
     */
    private String tagType;


    /**
     * 支标签类型名称
     */
    private String tagTypeName;

    /**
     * 边民id
     */
    private String peopleId;

    /**
     * 交易扣除点数
     */
    private Integer amount;
    private Integer status;

    /**
     * 扣除时间
     */
    private String recordTime;
}
